Subject: Re: [EAI] UTF-8 mailto escaping

From: Shawn Steele <[email-masked]>
Date: Thu, 25 Jun 2009 19:33:54 +0000

I’m wondering if the escaping requirements of draft-ietf-eai-mailto-01.txt for mailto are the best approach?  I get that in some contexts non-ASCII isn’t permitted, but perhaps the escaping should be restricted to those cases?

In particular this document is more rigorous than the behavior currently supported in mailto: for idn. mailto:[email-masked]<mailto:[email-masked]%20works> currently works fine in

Requiring escaping impacts the usability (mailto:[email-masked] is much simpler to type than mailto:%<mailto:[email-masked]>[email-masked], which pretty much nobody could type without some sort of conversion table or tool.)

In addition to IDN, many mailto: implementations seem to work with EAI style Unicode anyway is many cases right now.  My sample was small. IE recognizes <a href="mailto:[email-masked]”> and Windows will also open an email client with that and cyrillic addresses (outlook in my case).  Granted I didn’t try other apps, but a quick test failed only when my SMTP server choked on Outlook’s non-ASCII address.

Whether or not Unicode is supported directly, section 2 isn’t particularly clear what SHOULD be done.  Some of the higher bullets say “can be used” and “have to” instead of SHOULD or MUST.

I’m mostly inferring that the “…, and the designation of fallback addresses” phrase in 1. refers to the RFC5335 alt-address since that’s mentioned in 2, however I’d like that to be a bit clearer.  (1 uses the term “fallback address”, and 2 uses the term “alt-address”.

1. Explicitly states that this document extends to allow non-ASCII characters and also fallback.  2.2 explicitly mentions non-ASCII, covering the 1st stated goal of the document, but nowhere is the 2nd stated goal addressed directly.  (fallback).  So perhaps there could be a bullet in this section that states:

3.       Fallback addresses may be designated using the alt-address of RFC5335, however the less-than and greater-than signs ("<" and ">") MUST be percent-encoded (%3C and %3E)

I’m curious why mailto: with non-ASCII requires the < and > ?

- Shawn

 
http://blogs.msdn.com/shawnste